Go to the latest version of this document.

# ``twisted`.`internet`.`gireactor``

module documentation
(source)

This module provides support for Twisted to interact with the glib mainloop via GObject Introspection.

In order to use this support, simply do the following:

        from twisted.internet import gireactor
        gireactor.install()

If you wish to use a GApplication, register it with the reactor:

        from twisted.internet import reactor
        reactor.registerGApplication(app)

Then use twisted.internet APIs as usual.

On Python 3, pygobject v3.4 or later is required.

Class | `GIReactor` | GObject-introspection event loop reactor.
Class | `PortableGIReactor` | Portable GObject Introspection event loop reactor.
Function | `install` | Configure the twisted mainloop to be run inside the glib mainloop.

def install(useGtk: `bool` = False) -> `GIReactor | PortableGIReactor`: (source)

Configure the twisted mainloop to be run inside the glib mainloop.

Parameters
useGtk:`bool` | A hint that the Gtk GUI will or will not be used. Currently does not modify any behavior.

Returns
`GIReactor | PortableGIReactor` | Undocumented